
/**
 * This class illustrates an iterative solution of 
 * function factorial.
 * 
 * @author Bernd J. Krmer
 * @version 20.12.2003
 */
public class FacIterative
{

    /**
     * Calculates factorial iteratively
     * illegal inputs are not caught
     * 
     * @param  x   non-negative number
     * @return     factorial of x
     */
    public long factorial (int n) 
    {
        System.out.print (n + "! = ");
        long m = 1;
        while (n > 1) 
        { 
            m *= n; 
            n--; 
        }
        System.out.println (m);
        return m;
    }
}
